Skip to main content
DELETE
Delete phone number

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

The phone number record id to delete

Example:

"01a1cc73-9edb-7418-8c10-806f89aa2889"

Response

Default Response

cleanup_pending
boolean

Whether deletion cleanup is still pending after removal from the workspace.

Example:

true

id
string

Unique identifier of the deleted phone number record.

Example:

"01a1cc73-9edb-7418-8c10-807076749ea7"

timestamp_created
string<date-time>

Timestamp when the deleted record was originally created.

Example:

"2026-11-11T21:11:31.803Z"

organization_id
string

Identifier of the organization that owned the phone number.

Example:

"01a1cc73-9edb-7418-8c10-8071f2962f3f"

phone_number
string

The deleted phone number.

Example:

"+15551234567"

country
string

Country code of the deleted phone number.

Example:

"US"

locality
string

Region or city associated with the deleted phone number.

Example:

"San Francisco"

subscription_id
string

Billing subscription ID associated with this number (if any).

Example:

"sub_1PuaE1B3VEKBA0ygDAKk7QVc"

twilio_sid
string

Twilio SID of the deleted number.

Example:

"PN998dda028e07a49c8038b2206341d463"